#### D.13.3.21 permutationToIntvec

Procedure from library `gitfan.lib` (see gitfan_lib).

Usage:
  permutationToIntvec(sigma); sigma: permutation

Purpose:
  Convert a permutation to an intvec of images.

Return:
  intvec

Example:

    LIB "gitfan.lib";
    permutation sigma = permutationFromIntvec(intvec( 1, 2, 4, 3, 5, 7, 6, 9, 8, 10 ));
    sigma;
    ==> |  1  2  3  4  5  6  7  8  9 10|
    ==> |  1  2  4  3  5  7  6  9  8 10|
    ==>
    permutationToIntvec(sigma);
    ==> 1,2,4,3,5,7,6,9,8,10

User manual for Singular version 4.4.1, 2025, generated by texi2html.